Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: [OMPI users] MPI-2.2: do you care?
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2010-10-26 19:27:42

Open MPI users --

I took a little heat at the last the MPI Forum for not having Open MPI be fully complaint with MPI-2.2 yet (OMPI is compliant with MPI-2.1). Specifically, there's still 4 open issues in Open MPI that are necessary for full MPI-2.2 compliance:

We haven't made these items a priority because -- to be blunt -- no one really has been asking for them. No one has come forward and said "I *must* have these features!" (to be fair, they're somewhat obscure features).

Other than not having the obvious "OMPI is MPI-2.2 compliant" checkmark for marketing reasons, is there anyone who *needs* the functionality represented by those still-open tickets?

Thanks for your input.

Jeff Squyres
For corporate legal information go to: